AggregatePersistenceContextInterceptor (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class AggregatePersistenceContextInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.orm.hibernate.support.AggregatePersistenceContextInterceptor

All Implemented Interfaces:
  ParticipatingInterceptor, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

    public class AggregatePersistenceContextInterceptor
    extends java.lang.Object

Authors:
  Burt Beckwith

Method Summary
`void` | `afterPropertiesSet()`
`void` | `clear()`
`void` | `destroy()`
`void` | `disconnect()`
`void` | `flush()`
`boolean` | `getParticipate()`
`void` | `init()`
`boolean` | `isOpen()`
`void` | `reconnect()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext ctx)`
`void` | `setDataSourceNames(java.util.List names)` Dependency injection for the datasource names.
`void` | `setParticipate(boolean flag)`
`void` | `setReadOnly()`
`void` | `setReadWrite()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### clear

    public void clear()

### destroy

    public void destroy()

### disconnect

    public void disconnect()

### flush

    public void flush()

### getParticipate

    public boolean getParticipate()

### init

    public void init()

### isOpen

    public boolean isOpen()

### reconnect

    public void reconnect()

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext ctx)

### setDataSourceNames

    public void setDataSourceNames(java.util.List names)

  Dependency injection for the datasource names.
  Parameters:
    `names` - the names

### setParticipate

    public void setParticipate(boolean flag)

### setReadOnly

    public void setReadOnly()

### setReadWrite

    public void setReadWrite()

Groovy Documentation